//This is a dummy card for testing
#include "abcio.h"

//#define inp0buf_start	(&myCard.myReg[0])
#define inp0buf_start	(&myBuf[0])

uint8 myBuf[258];

//--------------------------------------------
s_card myCard = 
{
	//(uint8*) &myCard.myReg[1],	//inp0 pointer
	(uint8*) &myBuf[255],	//inp0 pointer
	(uint8*) &myBuf[255],
	//Card.myReg[1],	//end of inp0 buffer
	(uint8*) &myCard.myReg[2],	//point to status
	0x00fe,				//inp0stat
	0x00ff,				//out0stat
	0x00ff,				//out2stat
	0x00ff,				//out3stat
	0x00ff,				//out4stat
	0xff00,				//out5stat
	myCardFunc,
	{0,0,0,0,0,0,0,0}	//myReg[8]
};

/*
** For example, 
** set inp0stat = 0x00fe to clear bit0 after next inp0
** set inp0stat = 0x017f to clear bit7 and set bit0 after next inp0
** set inp0stat = 0x5500 to set status = 0x55 after next inp0
*/

//-----------------------------------------------------------------------
void myCardInit(void)
{
	uint16 i;
	*(myCard.pInp0) = 0;
	*(myCard.pInp1) = 0;
	for(i=0;i<256;i++) myBuf[i]=i;
}


//-----------------------------------------------------------------------
void myCardFunc(uint8 strobe, uint8 data)
{
	#define card	myCard

	#define pInp0		card.pInp0
	#define inp0reg0 	card.myReg[0]
	#define inp0reg1 	card.myReg[1]
	#define inp1reg 	card.myReg[2]
	#define out0reg 	card.myReg[3]
	#define out2reg 	card.myReg[4]
	#define out3reg 	card.myReg[5]
	#define out4reg 	card.myReg[6]
	#define out5reg 	card.myReg[6]
	#define inp0stat	card.inp0stat
	#define out0stat	card.out0stat
	#define out2stat	card.out2stat

	//if(iostuff0_inp7flag) return;

	switch(strobe)
	{
	case STROBE_OUT0:
		inp0reg0 = data;
		break;

	case STROBE_CS:		//OUT 1, this card
		break;

	case STROBE_OUT2:	//C1
		out2reg = data;
		inp0reg1 = data;
		break;

	case STROBE_OUT3:	//C2
		out3reg = data;
		inp1reg = 0x7f;
		break;

	case STROBE_OUT4:	//C3
		out4reg = data;
		break;

	case STROBE_OUT5:	//C4
		out5reg = data;
		pInp0 = inp0buf_start;
		break;

	case STROBE_INP7:
		break;

	case STROBE_INP0:
		break;

	case STROBE_INP1:
		break;

	default:	//??
		break;
	}
}

//end
